QGIS Application - Bug report #15427
QGIS rendering freaks out loading gml + shp when OTF disabled
2016-08-12 03:54 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master_2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23353
Description

Tested here on Debian, 2.14, 2.16 and master_2

Downloades some OSM shapes from Geofabrik, to style it nice with the gml files from:
https://github.com/charleyglynn/OSM-Shapefile-QGIS-stylesheets

But as soon as | try to load the gml file (which are looking into the xml created using QGIS 2.2)... for the roads, QGIS freaks out.
cpu goes to 100%

Looks like a rendering problem/artefact. If somebody is aware what | can do to make the QML work, that would be cool...

| tried to create some lines, but even with 2 lines in a memory layer it goes awry

| attach a screendump as it goes wild.

| add the shapefile + gml in a zip to the issue

History

#1 - 2016-08-12 04:28 AM - Richard Duivenvoorde

Ok, some further investigating...

At first on an other computer it seemed ok: BUT!! that computer did have OTF enabled.
So: better test:

1) first create a fresh project eg epsg:3857 WITH OTF ON!

2) Load shape and gml: OK

3) now disable OTF

4) either freaking rendering artifacts or grey block

Same goes if you start with an new project without OTF

#2 - 2016-08-12 04:29 AM - Richard Duivenvoorde

- Subject changed from QGIS rendering freaks out loading gml + shp to QGIS rendering freaks out loading gml + shp when OTF disabled

#3 - 2016-08-12 04:44 AM - Richard Duivenvoorde

Ok... it is also related to epsg:4326 !
It is actually ok if you have a project in epsg:3857, BUT it goes wrong if you go to epsg:4326 !!

Does this mean it is data related? No, because | also have it if | load a minimal memory layer and add a type-column to it (used in the styles)

#4 - 2016-08-12 01:08 PM - Nyall Dawson

The styling probably has some sizes using map units (expecting metres, and getting degrees because of the different crs)

#5 - 2016-08-13 10:42 AM - Richard Duivenvoorde

Yes, you are right Nyall... but as we are going to encourage sharing of styles etc, | think this could happen more often..

Is it an idea to check for this?

Because it is (at least for me) not clear that it actual a configuration/data combination problem?

Like: check if OTF is disabled, and IF it is, check if sizes in styles are maybe different from projection units?

And if so: create a good warning?

You actually kill QGIS with such an action..

#6 - 2017-05-01 01:03 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 03:51 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

Files
freakdata.zip 139 KB 2016-08-12 Richard Duivenvoorde
QGiIS-freaks-out.png 136 KB 2016-08-12 Richard Duivenvoorde
